import { Nil } from '../interfaces';
/**
 * Creates an array of shuffled values, using a version of the [Fisher-Yates shuffle](https://en.wikipedia.org/wiki/Fisher%E2%80%93Yates_shuffle).
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 3,834 bytes
 * - Micro-dash: 725 bytes
 */
export declare function shuffle<T>(array: readonly T[] | Nil): T[];
export declare function shuffle<T>(object: T | Nil): Array<T[keyof T]>;
